package com.cosmodas.pedidos;

import com.cosmodas.EntCosmos.RutaReparto;
import com.cosmodas.FacadeCosmos.RutaRepartoFacadeLocal;

import javax.faces.bean.ManagedBean;
import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.faces.bean.ViewScoped;
import javax.inject.Inject;
import java.io.Serializable;
import java.util.List;

@ManagedBean
@ViewScoped
public class mbrutas implements Serializable {

    @EJB
    private RutaRepartoFacadeLocal rrfl;
    //------------------------------
    @Inject
    private RutaReparto rutaSelect;
    @Inject
    private RutaReparto nuevaRuta;
    //------------------------------
    private List<RutaReparto> rutas;
    private String territorio;

    public RutaReparto getRutaSelect() {
        return rutaSelect;
    }

    public void setRutaSelect(RutaReparto rutaSelect) {
        this.rutaSelect = rutaSelect;
    }

    public RutaReparto getNuevaRuta() {
        return nuevaRuta;
    }

    public void setNuevaRuta(RutaReparto nuevaRuta) {
        this.nuevaRuta = nuevaRuta;
    }

    public List<RutaReparto> getRutas() {
        return rutas;
    }

    public void setRutas(List<RutaReparto> rutas) {
        this.rutas = rutas;
    }

    public String getTerritorio() {
        return territorio;
    }

    public void setTerritorio(String territorio) {
        this.territorio = territorio;
    }

    @PostConstruct
    private void init() {
        this.rutas = rrfl.rutaRepartoListas("30");

    }


    public String tipoRutaString(Integer tipo) {

        String rutaSti = "Sin Ruta";

        switch (tipo) {
            case 0:
                rutaSti = "Oficina";
                break;
            case 1:
                rutaSti = "Supervisora";
                break;
            case 2:
                rutaSti = "Envio a Domicilio";
                break;
            case 3:
                rutaSti = "Punto de Apollo";
                break;
            case 4:
                rutaSti = "CASA POR CASA";
                break;
            default:
                break;
        }

        return rutaSti;
    }

    public mbrutas() {
    }
}
